/*
 *	SplitRom utility
 *	Copyright (c) Sasha Chukov, 2000
 */

#include <stdio.h>

char romp[8192];

void main(int argc, char *argv[])
{
	FILE *fo, *fi;
	char namp[9];
	char namef[81];
	int p = 1;

	printf(	"SplitRom utility v1.0 for Pyldin-601 emulator\n"
		"Copyright (c) Sasha Chukov, 2000\n");

	namp[8] = 0;

	fi = fopen(argv[1], "rb");
	if (fi) {
	  while ( fread(romp, 1, 8192, fi) == 8192) {
	    memcpy(namp, romp+2, 8);
	    printf("Loaded %s\n", namp);
	    p++;
	    sprintf(namef, "rom%2d.rom", p);
	    fo = fopen(namef, "wb");
	    fwrite(romp, 1, 8192, fo);
	    fclose(fo);
	  }
	  fclose(fi);
	}
}
